Description

Hello !

On the documentation page for listing issues through the API, these lines were added 2 months ago :

issue_id: get issue with the given id or multiple issues by id using ',' to separate id.

 GET /issues.xml?issue_id=1

GET /issues.xml?issue_id=1,2

 Source page :

https://www.redmine.org/projects/redmine/wiki/Rest_Issues#Listing-issues

History diff :

https://www.redmine.org/projects/redmine/wiki/Rest_Issues/diff?utf8=%E2%9C%93&version=56&version_from=55&commit=View+dif

ferences

After testing and looking at the roadmap, I can't find anything proving that "listing issues by ID" is working, or even implemented.

(only reference to this functionnailty is Patch #10828, which has never been merged)

I could edit the wiki page directly, but I want to be sure before editing the page that :

This functionnality really doesn't exist

I didn't just failed to make it work

This is quite high priority IMO, since it's sitting at the top of the main API wiki page, and already has fooled 2 people at least (me, and

the guy who asked me why it wasn't working when he was trying to get multiple issues by ID through the API)

Related issues:

Related to Redmine - Defect #29521: REST API: Filtering issues by issue_id do... Closed

History

#1 - 2017-03-23 04:30 - Go MAEDA

- Status changed from New to Needs feedback

The feature was implemented by #4806 for Redmine 3.3.0.

Could you test again in Redmine 3.3.x?

#2 - 2017-03-29 06:30 - Go MAEDA

- Status changed from Needs feedback to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Works fine with the latest version. Closing.

#3 - 2018-09-09 02:27 - Go MAEDA

2025-07-06 1/2

https://www.redmine.org/projects/redmine/wiki/Rest_Issues#Listing-issues
https://www.redmine.org/projects/redmine/wiki/Rest_Issues/diff?utf8=%E2%9C%93&version=56&version_from=55&commit=View+differences
https://www.redmine.org/projects/redmine/wiki/Rest_Issues/diff?utf8=%E2%9C%93&version=56&version_from=55&commit=View+differences
https://www.redmine.org/issues/10828
https://www.redmine.org/issues/4806


- Related to Defect #29521: REST API: Filtering issues by issue_id does not work as the documentation suggests added
